<id>
News Fader Colors Update
</id>

<version>
1.4
</version>

<mod info>
This mod will allow you to specify color settings for the News Fader specific for each template on your forums.

Install the mod.
Upload NewsFaderColors.lng to your YaBB2/Languages/English directory
Upload NewsFaderColors.pl to you Yabb2/Admin directory
Go to the Admin Center and run News Fader Colors setup.
Then have fun :)

History:
v1.4  - Fixed a small bug causing problems in YaBB 2.1, though not 2.0 for some reason
v1.3  - Fixed a bug resulting from the use of "-" in a template name
v1.2  - Fixed a problem resulting to no access for anyone but already logged in Admins to forum
      - Moved coding out of NewsFaderColors.pl and into Subs.pl
      - Moved NewsFaderColors.pl back to Admin directory
v1.1  - Updated it so it was compatible with YaBB 2 Final
      - Moved some coding from YaBB.pl to NewsFaderColors.pl
      - Fixed a bug caused by template names with spaces
      - Moved NewsFaderColors.pl from Admin directory to Source directory
v1.0  - Added support for multiple templates to News Fader Colors
</mod info>

<author>
Kong - kong@3dxl.com
</author>

<homepage>
http://www.3dxl.com
</homepage>





<edit file>
YaBB.pl
</edit file>

<search for>
&WhatLanguage;        # Figure out which language file we should be using! :D
</search for>

<add after>
&SetNewsFaderColors;  # Load News Fader Colors
</add after>





<edit file>
AdminIndex.pl
</edit file>

<search for>
### BOARDMOD ANCHOR ###
</search for>

<add after>

	$newsfadercolors = "newsfadercolors|News Fader Colors Update|News Fader Colors Update|";
	push (@boardmod_mods, "$newsfadercolors");
</add after>





<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
 	$newsfadercolors = "News Fader Colors Update|Kong|This mod will allow you to specify color settings for the News Fader specific for each template on your forums.|1.4|December 09, 2005";
	push (@installed_mods, "$newsfadercolors");
</add before>





<edit file>
Admin/AdminSubList.pl
</edit file>

<search for>
%director=(
</search for>

<add after>
'newsfadercolors',"NewsFaderColors.pl&NewsFaderColorsSet",
'newsfadercolors2',"NewsFaderColors.pl&NewsFaderColorsSet2",
</add after>





<edit file>
Admin/AdminEdit.pl
</edit file>

<search for>
LoadLanguage("Register");
</search for>

<add after>
LoadLanguage("NewsFaderColors");
</add after>

<search for>
		<div class="setting_cell">$admin_txt{'389'}</div>
		<div class="setting_cell2"><input type="text" name="fadertext" size="10" value="$color{'fadertext'}" /></div>
	<br />
		<div class="setting_cell">$admin_txt{'389a'}</div>
		<div class="setting_cell2"><input type="text" name="faderbg" size="10" value="$color{'faderbg'}" /></div>
	<br />
</search for>

<replace>
		<div class="setting_cell">$admin_txt{'389'}</div>
		<div class="setting_cell2"><input type="text" name="fadertext" size="10" value="$color{'fadertext'}" disabled /></div>
	<br />
		<div class="setting_cell">$admin_txt{'389a'}</div>
		<div class="setting_cell2"><input type="text" name="faderbg" size="10" value="$color{'faderbg'}" disabled /></div>
	<br />
		<div class="setting_cell">$newsfadercolorstxt{'8'}</div>
	<br />
</replace>





<edit file>
Sources/Subs.pl
</edit file>

<search for>
1;
</search for>

<add before>

sub SetNewsFaderColors {

	if (-e("$vardir/NewsFaderColors.txt"))  {
		require "$vardir/NewsFaderColors.txt";
	}
	if($newsfadertemplate_all ne 1) {
		$templatefix = $template;
		$templatefix =~ s~ ~_~g;
		$templatefix =~ s~\-~_minus_~g;
		$templatefix =~ s~\+~_plus_~g;
		$color{'fadertext'} = $fadertext{$templatefix};
		$color{'faderbg'} = $faderbg{$templatefix};
	} else {
		$default_templatefix = $default_template;
		$default_templatefix =~ s~ ~_~g;
		$default_templatefix =~ s~\-~_minus_~g;
		$default_templatefix =~ s~\+~_plus_~g;
		$color{'fadertext'} = $fadertext{$default_templatefix};
		$color{'faderbg'} = $faderbg{$default_templatefix};		
	}
}

</add before>
