###############################################################################
# NewsFaderColors.pl                                                          #
###############################################################################
# YaBB: Yet another Bulletin Board                                            #
# Open-Source Community Software for Webmasters                               #
# Version:        YaBB 2.0                                                    #
# Released:       September 29, 2005                                          #
# Distributed by: http://www.yabbforum.com                                    #
# =========================================================================== #
# Copyright (c) 2000-2005 YaBB (www.yabbforum.com) - All Rights Reserved.     #
# Software by: The YaBB Development Team                                      #
#              with assistance from the YaBB community.                       #
# Sponsored by: Xnull Internet Media, Inc. - http://www.ximinc.com            #
#               Your source for web hosting, web design, and domains.         #
###############################################################################
# Mod Name:    	News Fader Color Update                                       #
# Mod Version:  1.4                                                           #
# Release Date: December 09, 2005                                             #
# Description: 	This mod will allow you to specify color settings for the     #
#              	News Fader specific for each template on your forums.         #
# Written by:  	Kong (http://www.3dxl.com)                                    #
###############################################################################

if($action eq 'detailedversion') { return 1; }

&LoadLanguage("NewsFaderColors");

if (!-e("$vardir/NewsFaderColors.txt"))  {
	$FORM{'template_all'} = 1;
	&NewsFaderColorsSet2;
}

require "$vardir/NewsFaderColors.txt";

sub NewsFaderColorsSet { 

	if($newsfadertemplate_all == 1) { $disabled = "disabled"; $checked = "checked"; }

	$yymain .= qq~

<form name="newsfadercolors" action="$adminurl?action=newsfadercolors2" method="post" onsubmit="saveTemplateSettings();">
 <div class="bordercolor" style="padding: 0px; width: 99%; margin-left: 0px; margin-right: auto;">
   <table width="100%" cellspacing="1" cellpadding="4">
     <tr valign="middle">
       <td align="left" class="titlebg">
		 <img src="$imagesdir/preferences.gif" alt="" border="0" /><b>$newsfadercolorstxt{'6'}</b>
	   </td>
     </tr>
     <tr align="center" valign="middle">
       <td align="left" class="catbg"><span class="small">$newsfadercolorstxt{'1'} $newsfadercolorstxt{'2'}</span>
	   </td>
     </tr>
     <tr valign="middle">
       <td align="left" class="windowbg2"><br />
		  $newsfadercolorstxt{'3'}<br /><br /><br />
		<div class="setting_cell">$newsfadercolorstxt{'9'}</div>
		<div class="setting_cell2"><input type="checkbox" name="template_all" $checked onclick="checkDisabled();"></div>
		<span class="small">$newsfadercolorstxt{'7'}</span>
		<input type="hidden" name="savetemplate" value=""><br /><br />
	~;

	&CheckNewTemplates;

	unless ($templatesloaded == 1) {
		require "$vardir/template.cfg";
	}
	$default_templatefix = $default_template;
	$default_templatefix =~ s~ ~_~g;
	$default_templatefix =~ s~\-~_minus_~g;
	$default_templatefix =~ s~\+~_plus_~g;
	while (($curtemplate, $value) = each(%templateset)){
		$curtemplatefix = $curtemplate;
		$curtemplatefix =~ s~ ~_~g;
		$curtemplatefix =~ s~\-~_minus_~g;
		$curtemplatefix =~ s~\+~_plus_~g;
		$selected = "";
		$templatecolors .= qq~
		<input type="hidden" name="fadertext_$curtemplatefix" value="$fadertext{$curtemplatefix}">
		<input type="hidden" name="faderbg_$curtemplatefix" value="$faderbg{$curtemplatefix}">
		~;
		$jsvars .= qq~
		if(document.newsfadercolors.savetemplate.value == "$curtemplatefix") {
			document.newsfadercolors.fadertext_$curtemplatefix.value = document.newsfadercolors.fadertext.value;
			document.newsfadercolors.faderbg_$curtemplatefix.value = document.newsfadercolors.faderbg.value;
		}
		~;
		if($curtemplate eq $default_template) { $selected = qq~selected="selected"~; }
		$drawndirs .= qq~<option value="$curtemplatefix" $selected>$curtemplate</option>\n~;
	}
	
	$yymain .= $templatecolors;

	$yymain .= qq~

	<script language="JavaScript1.2" type="text/javascript">
	<!--

	function checkDisabled () {
		if (document.newsfadercolors.template_all.checked == true) { document.newsfadercolors.templates.disabled = true; }
		if (document.newsfadercolors.template_all.checked == false) { document.newsfadercolors.templates.disabled = false; }
	}

	function changeTemplate () {

		if(document.newsfadercolors.savetemplate.value == "") {
			document.newsfadercolors.savetemplate.value = "$default_templatefix";
		}

		saveTemplateSettings();

		template = document.newsfadercolors.templates.value;

		temp_fadertext = 'document.newsfadercolors.fadertext_' + template + '.value';
		temp_fadertext = eval(temp_fadertext);
		temp_faderbg = 'document.newsfadercolors.faderbg_' + template + '.value';
		temp_faderbg = eval(temp_faderbg);

		document.newsfadercolors.fadertext.value = temp_fadertext;
		document.newsfadercolors.faderbg.value = temp_faderbg;

		document.newsfadercolors.savetemplate.value = document.newsfadercolors.templates.value;
	}

	function saveTemplateSettings() {

	if(document.newsfadercolors.savetemplate.value == "") {
		document.newsfadercolors.savetemplate.value = "$default_templatefix";
	}

	$jsvars

	}
	//-->
	</script>

		<div class="setting_cell">$newsfadercolorstxt{'10'}</div>
		<div class="setting_cell2"><select name="templates" $disabled onchange="changeTemplate();">$drawndirs</select></div>
	~;

	$yymain .= qq~
		<br /><br />
		<div class="setting_cell">$newsfadercolorstxt{'4'}</div>
		<div class="setting_cell2"><input type="text" name="fadertext" size="10" maxlength="7" value="$fadertext{$default_templatefix}" /></div>
	<br />
		<div class="setting_cell">$newsfadercolorstxt{'5'}</div>
		<div class="setting_cell2"><input type="text" name="faderbg" size="10" maxlength="7" value="$faderbg{$default_templatefix}" /></div>
	<br />
	   </td>
     </tr>
   </table>
 </div>

<br />

 <div class="bordercolor" style="padding: 0px; width: 99%; margin-left: 0px; margin-right: auto;">
   <table width="100%" cellspacing="1" cellpadding="4">
     <tr valign="middle">
       <td align="center" class="catbg">
		 <input type="submit" value="$admin_txt{'10'}" />
	   </td>
     </tr>
   </table>
 </div>
</form>

	~;

	$yytitle = $admin_txt{'222'};
	$action_area = "newsfadercolors";
	&AdminTemplate;
	exit;

}

sub NewsFaderColorsSet2 {

	&is_admin_or_gmod;

	$newsfadertemplate_all = $FORM{'template_all'} ? 1 : 0;

	if($newsfadertemplate_all == 1) {
	$default_templatefix = $default_template;
	$default_templatefix =~ s~ ~_~g;
	$default_templatefix =~ s~\-~_minus_~g;
	$default_templatefix =~ s~\+~_plus_~g;
		$fadertext{'$default_templatefix'} = $FORM{'fadertext'} || '#000000';
		$faderbg{'$default_templatefix'} = $FORM{'faderbg'} || '#FFFFFF';

		$colorsettings .= qq~
\$fadertext{'$default_templatefix'} = "$fadertext{'$default_templatefix'}";
\$faderbg{'$default_templatefix'} = "$faderbg{'$default_templatefix'}";
		~;
	} else {
		&CheckNewTemplates;

		unless ($templatesloaded == 1) {
			require "$vardir/template.cfg";
		}
		while (($curtemplate, $value) = each(%templateset)){
			$curtemplatefix = $curtemplate;
			$curtemplatefix =~ s~ ~_~g;
			$curtemplatefix =~ s~\-~_minus_~g;
			$curtemplatefix =~ s~\+~_plus_~g;
			$fadertext{'$curtemplatefix'} = $FORM{"fadertext_$curtemplatefix"};
			$faderbg{'$curtemplatefix'} = $FORM{"faderbg_$curtemplatefix"};

			$colorsettings .= qq~
\$fadertext{'$curtemplatefix'} = "$fadertext{'$curtemplatefix'}";
\$faderbg{'$curtemplatefix'} = "$faderbg{'$curtemplatefix'}";
			~;
		}
	}

	my $setfile = << "EOF";
###############################################################################
# NewsFaderColors.txt (News Fader Color Update color definitions)             #
###############################################################################
# YaBB: Yet another Bulletin Board                                            #
# Open-Source Community Software for Webmasters                               #
# Version:        YaBB 2.0                                                    #
# Released:       September 29, 2005                                          #
# Distributed by: http://www.yabbforum.com                                    #
# =========================================================================== #
# Copyright (c) 2000-2005 YaBB (www.yabbforum.com) - All Rights Reserved.     #
# Software by: The YaBB Development Team                                      #
#              with assistance from the YaBB community.                       #
# Sponsored by: Xnull Internet Media, Inc. - http://www.ximinc.com            #
#               Your source for web hosting, web design, and domains.         #
###############################################################################
# Mod Name:    	News Fader Color Update                                       #
# Mod Version:  1.4                                                           #
# Release Date: December 09, 2005                                             #
# Description: 	This mod will allow you to specify color settings for the     #
#              	News Fader specific for each template on your forums.         #
# Written by:  	Kong (http://www.3dxl.com)                                    #
###############################################################################

########## News Fader Color Update Colors ##########

\$newsfadertemplate_all = $newsfadertemplate_all;				# Use 1 set of colors for all templates (1 = on, 0 = off)
$colorsettings

1;
EOF

	fopen(NEWSFADERCOLORS_SETTINGS, ">$vardir/NewsFaderColors.txt");
	print NEWSFADERCOLORS_SETTINGS $setfile;
	fclose(NEWSFADERCOLORS_SETTINGS);

	if ($action eq "newsfadercolors2") {
		$yySetLocation = qq~$adminurl~;
		&redirectexit;
	}

}

1;